=head1 NAME

Gtk2::ToggleButton

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Button
                                +----Gtk2::ToggleButton

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable


=head1 METHODS

=head2 widget = Gtk2::ToggleButton-E<gt>B<new> ($label=undef)

=over

=over

=item * $label (string) 

=back

=back

=head2 widget = Gtk2::ToggleButton-E<gt>B<new_with_label> ($label=undef)

=over

=over

=item * $label (string) 

=back

=back

=head2 widget = Gtk2::ToggleButton-E<gt>B<new_with_mnemonic> ($label=undef)

=over

=over

=item * $label (string) 

=back

=back

=head2 boolean = $toggle_button-E<gt>B<get_active> 

=over

=back

=head2 $toggle_button-E<gt>B<set_active> ($is_active)

=over

=over

=item * $is_active (boolean) 

=back

=back

=head2 boolean = $toggle_button-E<gt>B<get_inconsistent> 

=over

=back

=head2 $toggle_button-E<gt>B<set_inconsistent> ($setting)

=over

=over

=item * $setting (boolean) 

=back

=back

=head2 boolean = $toggle_button-E<gt>B<get_mode> 

=over

=back

=head2 $toggle_button-E<gt>B<set_mode> ($draw_indicator)

=over

=over

=item * $draw_indicator (boolean) 

=back

=back

=head2 $toggle_button-E<gt>B<toggled> 

=over

=back


=head1 PROPERTIES

=over

=item 'active' (boolean : readable / writable / private)

If the toggle button should be pressed in or not

=item 'draw-indicator' (boolean : readable / writable / private)

If the toggle part of the button is displayed

=item 'inconsistent' (boolean : readable / writable / private)

If the toggle button is in an "in between" state

=back


=head1 SIGNALS

=over

=item B<toggled> (Gtk2::ToggleButton)

=back


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gtk2::Button>

=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.


=cut

